Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance`, `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance

      public static interface JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getActorId()` | `optional string actor_id = 2;`
    `com.google.protobuf.ByteString` | `getActorIdBytes()` | `optional string actor_id = 2;`
    `String` | `getSwimlane()` | `optional string swimlane = 1;`
    `com.google.protobuf.ByteString` | `getSwimlaneBytes()` | `optional string swimlane = 1;`
    `boolean` | `hasActorId()` | `optional string actor_id = 2;`
    `boolean` | `hasSwimlane()` | `optional string swimlane = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasSwimlane

          boolean hasSwimlane()

      `optional string swimlane = 1;`
      Returns:
        Whether the swimlane field is set.

    - #### getSwimlane

          String getSwimlane()

      `optional string swimlane = 1;`
      Returns:
        The swimlane.

    - #### getSwimlaneBytes

          com.google.protobuf.ByteString getSwimlaneBytes()

      `optional string swimlane = 1;`
      Returns:
        The bytes for swimlane.

    - #### hasActorId

          boolean hasActorId()

      `optional string actor_id = 2;`
      Returns:
        Whether the actorId field is set.

    - #### getActorId

          String getActorId()

      `optional string actor_id = 2;`
      Returns:
        The actorId.

    - #### getActorIdBytes

          com.google.protobuf.ByteString getActorIdBytes()

      `optional string actor_id = 2;`
      Returns:
        The bytes for actorId.